Bug 220527 - nano: non-failsafe install-info usage, info files removed from index on update
nano: non-failsafe install-info usage, info files removed from index on update
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nano (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks: 226181
  Show dependency treegraph
 
Reported: 2006-12-21 17:15 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 13:19:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-12-21 17:15:38 EST
nano's install-info usage is not failsafe, see
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#info

Additionally, the install-info --delete in %postun should be wrapped inside "if
[ $1 -eq 0 ]" to prevent the info files from being removed from the index on
upgrades.
Comment 1 Florian La Roche 2007-02-05 13:19:04 EST
Changes should show up tomorrow in FC-devel.

Thanks,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.